import matplotlib.pyplot as plt
import seaborn as sns

from lib5c.util.plotting import plotter


@plotter
def plot_convergency(convergency_results, **kwargs):
    type_order = ['+-', '-+', '++', '--']
    sns.barplot(
        x=type_order,
        y=[convergency_results[t]['foldchange'] for t in type_order],
        color='k'
    )
    plt.axhline(1, linestyle='--', color='#666666', linewidth=3.0)
