from lib5c.plotters.extendable import BaseExtendableHeatmap


class DomainExtendableHeatmap(BaseExtendableHeatmap):
    def outline_domain(self, domain, color='green', linewidth=2, upper=True):
        x_coords = self.transform_feature(domain, axis='x')
        y_coords = self.transform_feature(domain, axis='y')
        xs = [x_coords['start'], x_coords['end']]
        ys = [y_coords['start'], y_coords['start']]
        if upper:
            self['root'].plot(xs, ys, color=color, linewidth=linewidth)
        else:
            self['root'].plot(ys, xs, color=color, linewidth=linewidth)
        xs = [x_coords['end'], x_coords['end']]
        ys = [y_coords['start'], y_coords['end']]
        if upper:
            self['root'].plot(xs, ys, color=color, linewidth=linewidth)
        else:
            self['root'].plot(ys, xs, color=color, linewidth=linewidth)

    def outline_domains(self, domains, color='green', linewidth=2, upper=True):
        for domain in domains:
            self.outline_domain(domain, color=color, linewidth=linewidth,
                                upper=upper)
